import httpRequest from '@/utils/axios'

// 获取列表
export function getProjectList(params?: { project_id?: string; project_type?: string; project_status?: string; title?: string; page?: number;['per-page']?: number }) {
  return httpRequest.get('/api/zws/v1/backend/project/list', { params })
}

// 搜索用户
export function searchUser(params: { q: string; }) {
  return httpRequest.get('/api/zws/v1/backend/common/search-user', { params })
}

// 获取角色
export function getProjectRoles() {
  return httpRequest.get('/api/zws/v1/backend/common/project-roles')
}

// 创建项目
export function createProject(data?: { title?: string; alias?: string; project_type: string; project_status: string; project_uri?: string; landing_page_uri?: string; members: string }) {
  return httpRequest.post('/api/zws/v1/backend/project/create', data)
}

// 详情
export function getProjectDetail(params?: { id?: string | string[] }) {
  return httpRequest.get('/api/zws/v1/backend/project/view', { params })
}

// 获取成员列表
export function getProjectUserList(params?: { id?: string | string[] }) {
  return httpRequest.get('/api/zws/v1/backend/project/member', { params })
}

// 更新项目
export function updateProject(data?: { id: string | string[]; title?: string; alias?: string; project_type: string; project_status: string; project_uri?: string; landing_page_uri?: string; }) {
  return httpRequest.post('/api/zws/v1/backend/project/update', data)
}
